### Eclipse Workspace Patch 1.0
#P fluid-engage-core
Index: components/codeEntry/messages/messages_fr.json
===================================================================
--- components/codeEntry/messages/messages_fr.json	(revision 9489)
+++ components/codeEntry/messages/messages_fr.json	(working copy)
@@ -4,5 +4,6 @@
    "instruction": "Entrez le code numérique affiché sur l'étiquette pour en apprendre plus sur cet objet.",
    "redirecting": "Ouverture de la page de l'objet",
    "invalidCode": "Numéro inconnu. Veuillez réessayer",
-   "deleteLabel": "Effacer"
+   "deleteLabel": "Effacer",
+   "warning": "Attention"
 }
\ No newline at end of file
Index: components/codeEntry/js/CodeEntryView.js
===================================================================
--- components/codeEntry/js/CodeEntryView.js	(revision 9489)
+++ components/codeEntry/js/CodeEntryView.js	(working copy)
@@ -31,11 +31,10 @@
         that.deleteEnabled = true;
     };
 
-    var updateStatusMessage = function (that, handleClass, msgText) {
-        var msg = that.locate("headMessage");        
-        var style = that.options.styles.invalidCode;
-        msg.text(msgText);
-        msg[handleClass](style);
+    var updateStatusMessage = function (element, elementToShow, elementToHide, msgText) {
+        elementToHide.hide();        
+        element.text(msgText);
+        elementToShow.show();
     };
 
     /**
@@ -45,7 +44,12 @@
      * @param url, the URL to redirect to.
      */
     var redirectSequence = function (that, url) {
-        updateStatusMessage(that, "removeClass", that.options.strings.redirecting);
+        var headMessage = that.locate("headMessage");
+        updateStatusMessage(
+                headMessage, 
+                headMessage,
+                that.locate("invalidCode"),
+                that.options.strings.redirecting);
         setTimeout(function () {
             window.location = url;
         }, that.options.redirectDelay);
@@ -57,7 +61,11 @@
      * @param {Object} that, the component.
      */
     var wrongCodeSequence = function (that) {
-        updateStatusMessage(that, "addClass", that.options.strings.invalidCode);
+        updateStatusMessage(
+                that.locate("invalidCodeMessage"),                
+                that.locate("invalidCode"),
+                that.locate("headMessage"),
+                that.options.strings.invalidCode);
         setTimeout(function () {
             reset(that);
         }, that.options.redirectDelay);
@@ -124,6 +132,9 @@
         // Init instruction text
         that.locate("headMessage").text(strings.instruction);
         
+        // Init alt text for invalid code warning icon
+        that.locate("invalidCodeImage").attr("alt", strings.warning);
+        
         // Initialize numpad
         reset(that);
         
@@ -198,10 +209,10 @@
             numButtons: ".flc-codeEntry-numButton",
             delButton: ".flc-codeEntry-delButton",
             delLabel: ".flc-codeEntry-delLabel",
-            buttonImage: "img"
-        },
-        styles : {
-            invalidCode : "fl-codeEntry-invalidCode"
+            buttonImage: "img",
+            invalidCode: ".flc-codeEntry-invalidCodeBlock",
+            invalidCodeImage: ".flc-codeEntry-invalidCodeImg",
+            invalidCodeMessage: ".flc-codeEntry-invalidCodeMessage"
         },
         strings : {
             title : "Enter object code",
@@ -209,7 +220,8 @@
             instruction : "Enter code from the object's label to learn more about the object.",
             invalidCode : "Invalid code. Please try again",
             redirecting : "Opening artifact page.",
-            deleteLabel: "Delete"
+            deleteLabel: "Delete",
+            warning: "warning"
         },
         codeCheckUrlTemplate: "",
         redirectDelay : 1000,
Index: components/codeEntry/html/codeEntry.html
===================================================================
--- components/codeEntry/html/codeEntry.html	(revision 9489)
+++ components/codeEntry/html/codeEntry.html	(working copy)
@@ -36,7 +36,11 @@
                 <h1 class="flc-codeEntry-title fl-navbar-title fl-col-flex">Enter an Object Code</h1>
             </div>
 			
-        	<div class="flc-codeEntry-headMessage fl-codeEntry-headMessage"></div>            
+        	<div class="flc-codeEntry-headMessage fl-codeEntry-headMessage"></div>
+        	<div class="flc-codeEntry-invalidCodeBlock fl-codeEntry-invalidCodeBlock">
+        	   <img class="flc-codeEntry-invalidCodeImg fl-codeEntry-invalidCodeImg" src="../../../../fluid-engage-core/components/codeEntry/images/warning.png" alt="warning"/>
+        	   <span class="flc-codeEntry-invalidCodeMessage fl-codeEntry-invalidCodeMessage"></span>
+        	</div>            
 	
 	        <div class="flc-codeEntry-block fl-codeEntry-block">
 	            <span class="flc-codeEntry-firstDigit fl-codeEntry-digitField"></span>
Index: components/codeEntry/css/codeEntry.css
===================================================================
--- components/codeEntry/css/codeEntry.css	(revision 9489)
+++ components/codeEntry/css/codeEntry.css	(working copy)
@@ -11,11 +11,32 @@
     text-align: center;
 }
 
-.fl-codeEntry-invalidCode {
-	color: white;
+.fl-codeEntry-invalidCodeBlock {
+    display: none;
+    width: 240px;
+    height: 50px;
+    margin: auto;
+    margin-top: 10px;
+    margin-bottom: 0px;
+    padding: 40px;
+    padding-top: 15px;
+    padding-bottom: 15px;    
 	background-color: #464646;
 }
 
+.fl-codeEntry-invalidCodeImg {
+	float: left;
+	margin-right: 15px;
+}
+
+.fl-codeEntry-invalidCodeMessage {
+    text-align: center;
+    vertical-align: top;
+    font-size: 20px;
+    font-weight: bold;
+    color: white;
+}
+
 .fl-codeEntry-block {
     width: 300px;	
     margin: auto;
